MediaWiki:Mobile.css:修订间差异

imported>=海豚=
无编辑摘要
top:​bad link repair, replaced: hmoegirl.com → hmoegirl.info
 
(未显示3个用户的125个中间版本)
第1行: 第1行:
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 放置于这里的CSS将影响使用移动版网站的用户 */
@media screen and (max-width: 640px) {
/* 标题样式调整*/
  body {
html>body.skin-minerva .content .mw-parser-output>h2::before,
     font-size: small;
html>body.skin-minerva .content .section-heading::before {
  }
     content: "#";
  .wikitable,
    display: block;
  .infobox {
    user-select: none;
     font-size: x-small
    color: #ffa92f;
  }
    background-color: #ffa92f;
    position: absolute;
    top: .6em;
     width: 6px;
    overflow: hidden;
}
}
/* 懒加载渐入 */
html>body.skin-minerva .content .mw-parser-output > h2 .indicator, .content .section-heading .indicator {
.lazyload,
    margin-left: 1em;
.lazyloading {
opacity: 0;
}
}
.lazyloaded {
/* 链接样式 */
opacity: 1;
a:hover {
transition: opacity 300ms;
    text-decoration: none;
}
}
/* 导航菜单样式 */
a, a:visited {
nav ul li a {
     text-decoration: none;
    box-shadow: inset 0 0 0 #F4C430;
     color: #3366cc;
    transition: all 0.1s ease-in !important;
}
nav ul li a:hover {
    box-shadow: inset 7px 0 0 #F4C430;
}
nav .mw-parser-output ul li a {
    font-weight: bold;
    line-height: 1.857;
}
nav .mw-parser-output ul li a > i {
    margin-right: 0.76em;
    font-size: 1.4em;
    vertical-align: middle;
    width: 24px;
    text-align: center;
}
/* 隐藏登录后的首页欢迎语 */
body.page-Main_Page.is-authenticated .pre-content {
  display: none !important;
}
/* 黑幕 */
.heimu, .heimu a, a .heimu, .heimu a.new {
    background-color: #252525;
    color: #252525;
     text-shadow: none;
}
.heimu:hover, .heimu:active,
.heimu:hover .heimu, .heimu:active .heimu {
    color: white !important;
}
.heimu:hover a, a:hover .heimu,
.heimu:active a, a:active .heimu {
    color: lightblue !important;
}
.heimu:hover .new, .heimu .new:hover, .new:hover .heimu,
.heimu:active .new, .heimu .new:active, .new:active .heimu {
     color: #BA0000 !important;
}
}
/* 目录样式 */
/* 目录样式 */
第63行: 第28行:
     background-color: #F5F5F5 !important;
     background-color: #F5F5F5 !important;
     border: solid 0px transparent !important;
     border: solid 0px transparent !important;
     border-left: 4px solid #f4c430 !important;
     border-left: 4px solid #ffa92f !important;
}
/* 社群推荐背景样式 */
#mp-banner {
    background-image: url(https://www.hmoegirl.info/images/0/09/80468767.jpg);
}
}
/* 页顶提示模板相关 */
/* 页顶提示模板相关 */
第86行: 第55行:
#commonBoxList.open > .commonBoxButton.current {
#commonBoxList.open > .commonBoxButton.current {
     opacity: 1;
     opacity: 1;
}
.common-box {
    padding: .2em .4em;
    border: 0.7px solid #ddd;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    -khtml-border-radius: 10px;
    -o-border-radius: 10px;
    border-radius: 10px;
    background: rgba(250,250,250,0.65)!important;
}
/* 修复子页面列表和common-box宽度不足 */
.mw-prefixindex-list-table,
.common-box {
    width: 100% !important;
}
}
/* info类模板 */
/* info类模板 */
.infobox {
.infobox {
  float: middle;
  clear: middle;
   margin:0 auto;
   margin:0 auto;
  background: rgba(251,251,251,0.7);
}
}
.infobox2 {
.infotemplatebox {
  margin-top: 0.4em ;
  margin-left: 1em;
   padding: 0.2em;
   padding: 0.2em;
   float: right;
   float: middle;
   clear: right;
   clear: middle;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
   background: rgba(251,251,251);
  border-radius: 4px;
  overflow: hidden;
   background: rgba(251,251,251,0.8);
}
}
.infoBoxTitle {
/* 编辑区样式 */
     margin: 3px auto;
.mw-editTools {
    padding: 0;
     display: none!important;
    text-align: center;
    font-weight: 700;
}
}
.infoBoxIcon {
#wpSummaryLabel > div > span > label{
     display: table-cell;
     display:none;
    padding: 2px 0 2px .5em;
    vertical-align: middle;
}
}
.infoBoxText {
.CodeMirror-gutter-elt{
     display: table-cell;
     display: none;
    padding: .25em .5em .25em 1.3em;
    width: 100%;
    vertical-align: middle;
}
}
.infoBoxContent {
.CodeMirror-gutters {
  padding: 0.6em;
    display: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(251,251,251,0.8);
}
}
.infoBoxBelow {
.content .collapsible-heading .edit-page {
     margin: 0 auto;
     visibility: inherit!important;
    padding: 0;
    text-align: center;
}
}
.infoBoxYellow {
/* 表格优化 */
  padding: 0.5em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(255,255,245,0.8);
}
.infoBoxRed {
  padding: 0.5em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(258,240,245,0.8);
}
.infoBoxBlue {
  padding: 0.3em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(240,248,255,0.8);
}
.infoBoxPurple {
  padding: 0.5em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(248,248,255,0.8);
}
.infoBoxGreen {
  padding: 0.3em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(245,255,250,0.8);
}
.infoBoxOrange {
  padding: 0.5em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(250,240,230,0.8);
}
/* 通知样式 */
.mw-echo-ui-notificationsInboxWidget-toolbarWrapper {
  background: transparent !important;
}
.overlay-header h2 > * {
  color:#333 !important;
}
.notification-count {
    background: transparent !important;
}
/* 隐藏移动端页面底部的讨论按钮 */
.talk {
  display: none !important;
}
/* 界面底部样式 */
.minerva-footer {
    background-image: linear-gradient(-45deg,#f4c430 10px,transparent 11px);
}
/*热门评论*/
.comment-container-top>div:not(.comment-thread) {
    background-color: #f4c430 !important;
    color: white !important;
    font-weight: bolder !important;
}
.comment-thread.comment-popular {
    background-color: #FFFAF0 !important;
}
/* 评论边距 */
.comment-container-top,
.comment-container {
margin-left: 2% !important;
margin-right: 2% !important;
}
/* 缩小显示表格 */
table.scaletable {
transform: scale(0.5);
transform-origin: top left;
width: 200% !important;
}
/* 使行宽占满表格 */
th.fullline,
td.fullline {
width: 850px;
}
/* 表格使用最小字体 */
table.wraptable {
table.wraptable {
  white-space: normal;
    white-space: normal;
}
}/*
/* 表格内图片设置最小宽度*/
.content table {
.wikitable img {
    display: table;
  min-width: 24px;
}*/
}
/* 修复单元格莫名空行 */
/* 修复单元格莫名空行 */
td {
td {
第239行: 第114行:
.mw-prefixindex-list-table,
.mw-prefixindex-list-table,
.common-box {
.common-box {
     width: 100%!important;
     width: 100% !important;
}
}
/* 侧边栏和替换logo图片隐藏 */
/* 侧边栏和替换logo图片隐藏 */
第248行: 第123行:
/* 导航条 */
/* 导航条 */
#breadcrumb {
#breadcrumb {
    font: bold 18px Arial, Helvetica, sans-serif;
     color: black;
     color: black;
     border: solid 1px rgb(204, 204, 204);
     border: solid 1px rgb(204, 204, 204);
第273行: 第147行:
     padding-right: 15px;
     padding-right: 15px;
     text-decoration: none;
     text-decoration: none;
     color: #454545!important;
     color: #454545 !important;
}
}
.home {
.home {
第279行: 第153行:
     margin: 8px 0;
     margin: 8px 0;
}
}
.header-container {
    background-color: #f4c430 !important;;
}
nav ul li a:hover {
    box-shadow: inset 5px 0 0 0 #f4c430;
    text-decoration: none;
}
/* 注释文字 */
/* 注释文字 */
sup.mobileref {
sup.mobileref {
     display:none;
     display: none;
}
}
sup.mobileref:after {
sup.mobileref:after {
     content: " (" attr(title) ")";
     content: " ("attr(title) ")";
     display: inline;
     display: inline;
}
}
第300行: 第165行:
     padding: 3px
     padding: 3px
}
}
/* Tabs */
/* wikitable border */
.tab .TabLabelText {
#content.content table.wikitable {
    border-top: 3px solid transparent;
     border: none;
    padding: 1px;
    background: #fff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    cursor: pointer;
    flex: none;
}
.tab .TabLabel {
    z-index: 2;
    position: sticky;
    top: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    display: flex;
    flex-wrap: wrap;
    background-color: white;
}
.tab .TabLabelText.selected {
     border-top: 3px solid green;
    padding: 1px;
    background: white;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.tab .TabContent {
    background: white;
    padding: 20px 30px;
    position: relative;
    z-index: 1;
    border: 1px solid #aaa;
}
.tab .TabContentText {
    display: none;
}
.tab .TabContentText.selected {
    display: block;
}
.Tabs .Tab {
    border-bottom: 1px solid #aaa;
}
.Tabs .Tab:first-child {
    border-top: 1px solid #aaa;
}
.Tabs .Tab .TabLabelText {
    padding: 7px;
}
.Tabs .Tab .TabContentText {
    padding: 3px;
}
}
/* wikitable green */
/* wikitable green */
第370行: 第184行:
}
}
/* 大家族模板 */
/* 大家族模板 */
.navbox th, .navbox-group {
.navbox th,
.navbox-group {
     background: #a5e4a5;
     background: #a5e4a5;
}
}
/* 来个高优先级的 */
body .content .navbox {
body .content .navbox {
     display: table !important;
     display: table!important;
}
}
.navbox .content table {
.navbox .content table {
     width: 100% !important;
     width: 100% !important;
}
}
.navbox {
.navbox {
     border: 1px solid #aaa;
     border: 1px solid #aaa;
     clear: both;
     clear: both;
第386行: 第200行:
     text-align: center;
     text-align: center;
     width: 100%;
     width: 100%;
    background: #fdfdfd;
    font-size: 97% !important;
}
.navbox-subgroup {
    background: #fdfdfd;
}
.navbox-title {
    border-radius:0 !important;
}
}
.navbox-group {
.navbox-group {
     white-space: nowrap;
     white-space: nowrap;
}
}
.navbox table {
.navbox table {
     width: 100% !important;
     width: 100% !important;
     margin: 0 !important;
     margin: 0 !important;
}
}
.navbox-subgroup .navbox-group {
.navbox-subgroup .navbox-group,
.navbox-abovebelow {
     background: #e6f6e6;
     background: #e6f6e6;
}
.navbox-title > div:first-of-type {
    display: none;
}
}
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
     Address alignment issue of nested tabs in Navbox */
     Address alignment issue of nested tabs in Navbox */
.navbox .TabLabel {
.navbox .TabLabel {
     text-align: left;
     text-align: left;
}
}
@media screen and (max-width: 640px) {
@media screen and (max-width: 640px) {
    .navbox-group {
    .navbox-group,
    .navbox-list,
    .navbox-title {
         display: block;
         display: block;
        width: 100% !important;
        box-sizing: border-box;
     }
     }
    .navbox-group + * {
    .navbox-group+* {
        display: block;
         border-left: 0 !important;
        width: 100%;
         border-top: 2px solid #fdfdfd;
         border-left: 1em solid #a5e4a5 !important;
         padding-left: 3px !important;
        padding-top: 3px !important;
        box-sizing: border-box;
     }
     }
    .navbox-subgroup .navbox-group + * {
    .navbox td[rowspan] {
         border-left: 1em solid #e6f6e6 !important;
         display: none;
     }
     }
}
.GUP_Item_Title_Cell {
    width: 5em;
    background-color: #FFCCCC;
    white-space: nowrap;
    padding: 0.438em 0.625em;
    vertical-align: top;
    text-align: left;
}
.Infobox_GUP tr {
    border: 1px solid #a2a9b1;
}
.Infobox_GUP td {
    vertical-align: top;
    padding: 0.438em 0.625em;
}
}
/* 修复用户页欢迎辞覆盖编辑框的bug */
/* 修复用户页欢迎辞覆盖编辑框的bug */
.overlay.visible {
.overlay.visible {
     z-index: 999;
     z-index: 3;
}
body .oo-ui-windowManager-modal > .oo-ui-dialog {
    z-index: 3;
}
}
/* Fix by case: Tracklist doesn't display on mobile devices due to inappropriate margin configuration  */
/* Fix by case: Tracklist doesn't display on mobile devices due to inappropriate margin configuration  */
.tracklist {
.tracklist {
     margin:0 !important;
     margin: 0 !important;
}
}
/*{{Infobox Ooarai team}、{{GUP人物信息}}移动版CSS。*/
/* 扩展mediawiki.legacy.commonPrint,shared定义的样式 */
.Infobox_GUP {
/* success and error messages */
     text-align: left;
.error,
     font-size: small;
.warning,
     line-height: 1.5em;
.success {
     border: 1px solid #a2a9b1;
     font-size: larger;
     background-color: #FFFFFF;
}
     float: right;
.error {
     color: #d33;
}
.warning {
     color: #705000;
}
.success {
    color: #009000;
}
.errorbox,
.warningbox,
.successbox {
     border: 1px solid;
     padding: 0.5em 1em;
    margin-bottom: 1em;
    display: inline-block;
     zoom: 1;
}
}
.GUP_Title_Cell {
.errorbox h2,
     text-align: center;
.warningbox h2,
     padding: 0.25em 0.33em 0.33em;
.successbox h2 {
     line-height: 1.2em;
     font-size: 1em;
     font-size: 1.25em;
     color: inherit;
     background-color: #FF9999;
     font-weight: bold;
     color: #FFFFFF;
     display: inline;
     margin: 0 0.5em 0 0;
     border: 0;
}
}
.GUP_Subtitle_Cell {
.errorbox {
     text-align: center;
     color: #d33;
     background-color: #FF9999;
     border-color: #fac5c5;
     color: #FFFFFF;
     background-color: #fae3e3;
    font-size: 100%;
    padding: 0.438em 0.625em;
}
}
.GUP_Item_Title_Cell {
.warningbox {
     width: 5em;
     color: #705000;
     background-color: #FFCCCC;
     border-color: #fde29b;
     white-space: nowrap;
     background-color: #fdf1d1;
    padding: 0.438em 0.625em;
    vertical-align: top;
    text-align: left;
}
}
.Infobox_GUP tr {
.successbox {
     border: 1px solid #a2a9b1;
    color: #008000;
     border-color: #b7fdb5;
    background-color: #e1fddf;
}
}
.Infobox_GUP td {
/* 折叠/展开(或自定义内容)的文字颜色,和桌面版一致,用于提示点击可触发事件。 */
     vertical-align: top;
a.mw-collapsible-text {
    padding: 0.438em 0.625em;
     color: #3366cc;
}
}